Package be.fgov.ehealth.rn.baselegaldata.v1

# Class MinimalAddressType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.MinimalAddressType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class MinimalAddressType extends Object implements Serializable

Java class for MinimalAddressType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MinimalAddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element name="ResidentialAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressOptionalInceptionDateType" minOccurs="0"/>
               <element name="ReferenceAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}ResidentialAddressOptionalInceptionDateType" minOccurs="0"/>
               <sequence>
                 <element name="DiplomaticPost" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DiplomaticPostType" minOccurs="0"/>
                 <element name="DiplomaticAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
                 <element name="PostAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
               </sequence>
             </choice>
             <element name="TemporaryAddress" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressOptionalInceptionDateType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinimalAddressType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlainAddressOptionalInceptionDateType`
  `getDiplomaticAddress()`
  Diplomatic address of the found person
  `DiplomaticPostType`
  `getDiplomaticPost()`
  Diplomatic post responsible for the diplomatic address.
  `PlainAddressOptionalInceptionDateType`
  `getPostAddress()`
  An optional post address of the found person.
  `ResidentialAddressOptionalInceptionDateType`
  `getReferenceAddress()`
  Gets the value of the referenceAddress property.
  `ResidentialAddressOptionalInceptionDateType`
  `getResidentialAddress()`
  Gets the value of the residentialAddress property.
  `PlainAddressOptionalInceptionDateType`
  `getTemporaryAddress()`
  Gets the value of the temporaryAddress property.
  `void`
  `setDiplomaticAddress(PlainAddressOptionalInceptionDateType value)`
  Sets the value of the diplomaticAddress property.
  `void`
  `setDiplomaticPost(DiplomaticPostType value)`
  Sets the value of the diplomaticPost property.
  `void`
  `setPostAddress(PlainAddressOptionalInceptionDateType value)`
  Sets the value of the postAddress property.
  `void`
  `setReferenceAddress(ResidentialAddressOptionalInceptionDateType value)`
  Sets the value of the referenceAddress property.
  `void`
  `setResidentialAddress(ResidentialAddressOptionalInceptionDateType value)`
  Sets the value of the residentialAddress property.
  `void`
  `setTemporaryAddress(PlainAddressOptionalInceptionDateType value)`
  Sets the value of the temporaryAddress property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MinimalAddressType

    public MinimalAddressType()

- ## Method Details

  - ### getDiplomaticPost

    public DiplomaticPostType getDiplomaticPost()
    Diplomatic post responsible for the diplomatic address.
    Returns:
      possible object is `DiplomaticPostType`

  - ### setDiplomaticPost

    public void setDiplomaticPost(DiplomaticPostType value)
    Sets the value of the diplomaticPost property.
    Parameters:
      `value` - allowed object is `DiplomaticPostType`
    See Also:
      - `getDiplomaticPost()`

  - ### getDiplomaticAddress

    public PlainAddressOptionalInceptionDateType getDiplomaticAddress()
    Diplomatic address of the found person
    Returns:
      possible object is `PlainAddressOptionalInceptionDateType`

  - ### setDiplomaticAddress

    public void setDiplomaticAddress(PlainAddressOptionalInceptionDateType value)
    Sets the value of the diplomaticAddress property.
    Parameters:
      `value` - allowed object is `PlainAddressOptionalInceptionDateType`
    See Also:
      - `getDiplomaticAddress()`

  - ### getPostAddress

    public PlainAddressOptionalInceptionDateType getPostAddress()
    An optional post address of the found person.
    Returns:
      possible object is `PlainAddressOptionalInceptionDateType`

  - ### setPostAddress

    public void setPostAddress(PlainAddressOptionalInceptionDateType value)
    Sets the value of the postAddress property.
    Parameters:
      `value` - allowed object is `PlainAddressOptionalInceptionDateType`
    See Also:
      - `getPostAddress()`

  - ### getReferenceAddress

    public ResidentialAddressOptionalInceptionDateType getReferenceAddress()
    Gets the value of the referenceAddress property.
    Returns:
      possible object is `ResidentialAddressOptionalInceptionDateType`

  - ### setReferenceAddress

    public void setReferenceAddress(ResidentialAddressOptionalInceptionDateType value)
    Sets the value of the referenceAddress property.
    Parameters:
      `value` - allowed object is `ResidentialAddressOptionalInceptionDateType`

  - ### getResidentialAddress

    public ResidentialAddressOptionalInceptionDateType getResidentialAddress()
    Gets the value of the residentialAddress property.
    Returns:
      possible object is `ResidentialAddressOptionalInceptionDateType`

  - ### setResidentialAddress

    public void setResidentialAddress(ResidentialAddressOptionalInceptionDateType value)
    Sets the value of the residentialAddress property.
    Parameters:
      `value` - allowed object is `ResidentialAddressOptionalInceptionDateType`

  - ### getTemporaryAddress

    public PlainAddressOptionalInceptionDateType getTemporaryAddress()
    Gets the value of the temporaryAddress property.
    Returns:
      possible object is `PlainAddressOptionalInceptionDateType`

  - ### setTemporaryAddress

    public void setTemporaryAddress(PlainAddressOptionalInceptionDateType value)
    Sets the value of the temporaryAddress property.
    Parameters:
      `value` - allowed object is `PlainAddressOptionalInceptionDateType`